This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1283735 - [abrt] evolution: g_slice_alloc(): evolution-alarm-notify killed by SIGSEGV
[abrt] evolution: g_slice_alloc(): evolution-alarm-notify killed by SIGSEGV
Status: CLOSED DUPLICATE of bug 1281828
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Crha
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:32bb0a8839b4b3fc3f62fd1443c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-19 12:09 EST by shialeweb
Modified: 2016-06-07 02:09 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-05 04:09:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (55.54 KB, text/plain)
2015-11-19 12:09 EST, shialeweb
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-19 12:09 EST, shialeweb
no flags Details
File: core_backtrace (19.78 KB, text/plain)
2015-11-19 12:09 EST, shialeweb
no flags Details
File: dso_list (17.46 KB, text/plain)
2015-11-19 12:09 EST, shialeweb
no flags Details
File: environ (1.67 KB, text/plain)
2015-11-19 12:09 EST, shialeweb
no flags Details
File: exploitable (82 bytes, text/plain)
2015-11-19 12:09 EST, shialeweb
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-19 12:09 EST, shialeweb
no flags Details
File: maps (80.76 KB, text/plain)
2015-11-19 12:10 EST, shialeweb
no flags Details
File: mountinfo (3.44 KB, text/plain)
2015-11-19 12:10 EST, shialeweb
no flags Details
File: open_fds (1012 bytes, text/plain)
2015-11-19 12:10 EST, shialeweb
no flags Details
File: proc_pid_status (1015 bytes, text/plain)
2015-11-19 12:10 EST, shialeweb
no flags Details

  None (edit)
Description shialeweb 2015-11-19 12:09:51 EST
Version-Release number of selected component:
evolution-3.18.1-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/evolution/evolution-alarm-notify
crash_function: g_slice_alloc
executable:     /usr/libexec/evolution/evolution-alarm-notify
global_pid:     2499
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_slice_alloc at gslice.c:539
 #3 g_ptr_array_sized_new at garray.c:900
 #4 g_ptr_array_new at garray.c:881
 #5 g_main_context_new at gmain.c:649
 #6 g_dbus_connection_send_message_with_reply_sync at gdbusconnection.c:2134
 #7 g_dbus_connection_call_sync_internal at gdbusconnection.c:5930
 #8 g_dbus_connection_call_with_unix_fd_list_sync at gdbusconnection.c:6276
 #9 g_dbus_proxy_call_sync_internal at gdbusproxy.c:2852
 #10 g_dbus_proxy_call_sync at gdbusproxy.c:3044
 #11 e_dbus_calendar_call_retrieve_properties_sync at e-dbus-calendar.c:2292
Comment 1 shialeweb 2015-11-19 12:09:54 EST
Created attachment 1096803 [details]
File: backtrace
Comment 2 shialeweb 2015-11-19 12:09:55 EST
Created attachment 1096804 [details]
File: cgroup
Comment 3 shialeweb 2015-11-19 12:09:56 EST
Created attachment 1096805 [details]
File: core_backtrace
Comment 4 shialeweb 2015-11-19 12:09:57 EST
Created attachment 1096806 [details]
File: dso_list
Comment 5 shialeweb 2015-11-19 12:09:57 EST
Created attachment 1096807 [details]
File: environ
Comment 6 shialeweb 2015-11-19 12:09:58 EST
Created attachment 1096808 [details]
File: exploitable
Comment 7 shialeweb 2015-11-19 12:09:59 EST
Created attachment 1096809 [details]
File: limits
Comment 8 shialeweb 2015-11-19 12:10:00 EST
Created attachment 1096810 [details]
File: maps
Comment 9 shialeweb 2015-11-19 12:10:01 EST
Created attachment 1096811 [details]
File: mountinfo
Comment 10 shialeweb 2015-11-19 12:10:01 EST
Created attachment 1096812 [details]
File: open_fds
Comment 11 shialeweb 2015-11-19 12:10:02 EST
Created attachment 1096813 [details]
File: proc_pid_status
Comment 12 Milan Crha 2015-11-23 10:01:17 EST
Thanks for a bug report. I see from the backtrace that the crash happened when one of your calendars had been opened and some final D-Bus calls had been done before fully finishing the open operation. There seems to happen something with the memory, some sort of corruption, according to the upper functions of the backtrace. It's a software memory corruption, like when one part of the code frees memory which other part uses later, or similar programming errors. I do not see anything more from it.

By nay chance, do you know what was happening before the crash, please? Especially things like adding new calendars or removing them can be related.
Comment 13 Milan Crha 2016-04-05 04:09:14 EDT

*** This bug has been marked as a duplicate of bug 1281828 ***

Note You need to log in before you can comment on or make changes to this bug.